<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
class User_Model_List extends Core_Model_List
{
  protected $_owner_type = 'user';

  protected $_child_type = 'user';

  public function getListItemTable()
  {
    return Engine_Api::_()->getItemTable('user_list_item');
  }

  public function getFriends(){
    throw new Engine_Package_Manager_Exception('This function is deprecated.');
  }
}
